//+------------------------------------------------------------------+
//| LINE_ALERT.mq4 |
//+------------------------------------------------------------------+
extern bool Notification=true;
extern bool displayAlert=true;
string Text;
#property indicator_chart_window

extern double pipsDistance = 5;

//+------------------------------------------------------------------+
//| Custom indicator initialization function |
//+------------------------------------------------------------------+
int init()
{
//---- indicators
//----
return(0);
}
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function |
//+------------------------------------------------------------------+
int deinit()
{
//----

//----
return(0);
}
//+------------------------------------------------------------------+
//| Custom indicator iteration function |
//+------------------------------------------------------------------+
int start()
{
//----
   double _distance = pipsDistance*Point*MathPow(10,Digits%2);
   
   if (displayAlert==false) return;
   static datetime Time0;
   if (Time0 == Time[0]) return; // One alert per bar.
   
   for(int iObj = ObjectsTotal() - 1; iObj >= 0; iObj--)
   {
      string name = ObjectName(iObj);
      if (ObjectType(name) == OBJ_HLINE)
      {
         double line = ObjectGet(name, OBJPROP_PRICE1);
      }
      else continue; // Not HLINE

      if (High[0]>=(line-_distance) && (line+_distance)>=Low[0])
      {
         Text = Symbol()+" M"+Period()+" touched S/R @ "+Close[0];
         Alert(Text);
         Time0 = Time[0]; // No more alerts.
         if (Notification) SendNotification(Text);
      }
   }
//----
return(0);
}
//+------------------------------------------------------------------+ 